aboutsummaryrefslogtreecommitdiffstats
path: root/debian/nyancat-server.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/nyancat-server.postinst')
-rw-r--r--debian/nyancat-server.postinst28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/nyancat-server.postinst b/debian/nyancat-server.postinst
new file mode 100644
index 0000000..757eea5
--- /dev/null
+++ b/debian/nyancat-server.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+OLD_NYANCAT_ENTRY="telnet stream tcp nowait nobody /usr/bin/nyancat nyancat -t"
+RELEASE="1.0+git20120523.99dc310-1"
+
+case "$1" in
+ configure)
+ # if upgrading from previous non reconf-inetd version
+ if dpkg --compare-versions "$2" lt-nl "$RELEASE"; then
+ # remove previous update-inetd entry if unmodified
+ if fgrep -qx "#<off># $OLD_NYANCAT_ENTRY" /etc/inetd.conf || \
+ fgrep -qx "$OLD_NYANCAT_ENTRY" /etc/inetd.conf; then
+ if [ -x /usr/sbin/update-inetd ]; then
+ # remove nyancat reconf-inetd entries
+ update-inetd --multi --pattern nyancat --remove telnet || true
+ if [ -x /usr/sbin/reconf-inetd ]; then
+ # add the nyancat-server entries back again
+ reconf-inetd || true
+ fi
+ fi
+ fi
+ fi
+ ;;
+esac
+
+#DEBHELPER#